com.genesyslab.wfm7.API.service.adherence750

## Class AdhTotals

- java.lang.Object
- - com.genesyslab.wfm7.API.service.adherence750.AdhTotals

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhTotals
      extends java.lang.Object
      implements java.io.Serializable

  Contains various adherence totals calculated for the specified granularity.
  See Also:
    `WFMAdherenceService750Soap.getTotalsAsync(int, double, double, int[], int[], int, boolean)`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswAgentId` Agent ID, identifies `CfgAgent` object
    `private int` | `wmActualWorkDuration` Total actual work duration in seconds.
    `private double` | `wmEndDate` Totals period end date.
    `private int` | `wmNonAdherenceDuration` Total non-adherence state duration in seconds.
    `private int` | `wmOutOfScheduleNonAdherenceDuration` Total out-of-schedule non-adherence state duration in seconds.
    `private int` | `wmScheduleDuration` Total schedule duration in seconds.
    `private int` | `wmSiteId` Site ID, identifies `CfgSite` object
    `private double` | `wmStartDate` Totals period start date.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhTotals()`
    `AdhTotals(int wmSiteId, int gswAgentId, double wmStartDate, double wmEndDate, int wmNonAdherenceDuration, int wmOutOfScheduleNonAdherenceDuration, int wmScheduleDuration, int wmActualWorkDuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswAgentId()` Gets the gswAgentId value for this AdhTotals.
    `int` | `getWmActualWorkDuration()` Gets the wmActualWorkDuration value for this AdhTotals.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this AdhTotals.
    `int` | `getWmNonAdherenceDuration()` Gets the wmNonAdherenceDuration value for this AdhTotals.
    `int` | `getWmOutOfScheduleNonAdherenceDuration()` Gets the wmOutOfScheduleNonAdherenceDuration value for this AdhTotals.
    `int` | `getWmScheduleDuration()` Gets the wmScheduleDuration value for this AdhTotals.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this AdhTotals.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this AdhTotals.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this AdhTotals.
    `void` | `setWmActualWorkDuration(int wmActualWorkDuration)` Sets the wmActualWorkDuration value for this AdhTotals.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this AdhTotals.
    `void` | `setWmNonAdherenceDuration(int wmNonAdherenceDuration)` Sets the wmNonAdherenceDuration value for this AdhTotals.
    `void` | `setWmOutOfScheduleNonAdherenceDuration(int wmOutOfScheduleNonAdherenceDuration)` Sets the wmOutOfScheduleNonAdherenceDuration value for this AdhTotals.
    `void` | `setWmScheduleDuration(int wmScheduleDuration)` Sets the wmScheduleDuration value for this AdhTotals.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this AdhTotals.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this AdhTotals.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### gswAgentId

          private int gswAgentId

      Agent ID, identifies `CfgAgent` object

    - #### wmStartDate

          private double wmStartDate

      Totals period start date. `OleDateTime`

    - #### wmEndDate

          private double wmEndDate

      Totals period end date. `OleDateTime`

    - #### wmNonAdherenceDuration

          private int wmNonAdherenceDuration

      Total non-adherence state duration in seconds.

    - #### wmOutOfScheduleNonAdherenceDuration

          private int wmOutOfScheduleNonAdherenceDuration

      Total out-of-schedule non-adherence state duration in seconds.

    - #### wmScheduleDuration

          private int wmScheduleDuration

      Total schedule duration in seconds.

    - #### wmActualWorkDuration

          private int wmActualWorkDuration

      Total actual work duration in seconds.

  - ### Constructor Detail

    - #### AdhTotals

          public AdhTotals()

    - #### AdhTotals

          public AdhTotals(int wmSiteId,
                   int gswAgentId,
                   double wmStartDate,
                   double wmEndDate,
                   int wmNonAdherenceDuration,
                   int wmOutOfScheduleNonAdherenceDuration,
                   int wmScheduleDuration,
                   int wmActualWorkDuration)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this AdhTotals.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this AdhTotals.
      Parameters:
        `wmSiteId` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this AdhTotals.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this AdhTotals.
      Parameters:
        `gswAgentId` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this AdhTotals.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this AdhTotals.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this AdhTotals.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this AdhTotals.
      Parameters:
        `wmEndDate` -

    - #### getWmNonAdherenceDuration

          public int getWmNonAdherenceDuration()

      Gets the wmNonAdherenceDuration value for this AdhTotals.
      Returns:
        wmNonAdherenceDuration

    - #### setWmNonAdherenceDuration

          public void setWmNonAdherenceDuration(int wmNonAdherenceDuration)

      Sets the wmNonAdherenceDuration value for this AdhTotals.
      Parameters:
        `wmNonAdherenceDuration` -

    - #### getWmOutOfScheduleNonAdherenceDuration

          public int getWmOutOfScheduleNonAdherenceDuration()

      Gets the wmOutOfScheduleNonAdherenceDuration value for this AdhTotals.
      Returns:
        wmOutOfScheduleNonAdherenceDuration

    - #### setWmOutOfScheduleNonAdherenceDuration

          public void setWmOutOfScheduleNonAdherenceDuration(int wmOutOfScheduleNonAdherenceDuration)

      Sets the wmOutOfScheduleNonAdherenceDuration value for this AdhTotals.
      Parameters:
        `wmOutOfScheduleNonAdherenceDuration` -

    - #### getWmScheduleDuration

          public int getWmScheduleDuration()

      Gets the wmScheduleDuration value for this AdhTotals.
      Returns:
        wmScheduleDuration

    - #### setWmScheduleDuration

          public void setWmScheduleDuration(int wmScheduleDuration)

      Sets the wmScheduleDuration value for this AdhTotals.
      Parameters:
        `wmScheduleDuration` -

    - #### getWmActualWorkDuration

          public int getWmActualWorkDuration()

      Gets the wmActualWorkDuration value for this AdhTotals.
      Returns:
        wmActualWorkDuration

    - #### setWmActualWorkDuration

          public void setWmActualWorkDuration(int wmActualWorkDuration)

      Sets the wmActualWorkDuration value for this AdhTotals.
      Parameters:
        `wmActualWorkDuration` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.